Bug 425721 - [QLogic 4.7 bug][3/5] qla4xxx - Targets not seen on first port (5.01.02-d2 --> 5.01.02-d3)
[QLogic 4.7 bug][3/5] qla4xxx - Targets not seen on first port (5.01.02-d2 --...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity high
: ---
: ---
Assigned To: Marcus Barrow
Martin Jenner
: OtherQA
Depends On: 317631 412671
Blocks: 240719 RHEL4u7_relnotes 430313 437898
  Show dependency treegraph
 
Reported: 2007-12-14 20:02 EST by Dave Wagner
Modified: 2009-06-19 21:54 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch from 5.01.02-d2 to 5.01.02-d3 (9.17 KB, patch)
2007-12-14 20:02 EST, Dave Wagner
no flags Details | Diff

  None (edit)
Description Dave Wagner 2007-12-14 20:02:35 EST
Description of problem:
Targets that transition from non-active to active state during driver
initialization are sometimes not scanned by the OS.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Wagner 2007-12-14 20:02:35 EST
Created attachment 289631 [details]
Patch from 5.01.02-d2 to 5.01.02-d3
Comment 2 Dave Wagner 2007-12-14 20:03:43 EST
This bug depends on bug 412671, which updates qla4xxx to 5.01.02-d2.  This bug
further updates qla4xxx to 5.01.02-d3.
Comment 3 RHEL Product and Program Management 2007-12-17 14:17:14 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Wayne Berthiaume 2008-02-01 13:45:23 EST
This was discovered in RHEL 4.6. Is it possible to get the driver in RHEL 4.6 
replaced or updated? 
Comment 5 Andrius Benokraitis 2008-02-01 13:55:51 EST
Wayne, if customers ask for it, possibly...
Comment 6 Wayne Berthiaume 2008-02-01 14:01:37 EST
My concern is the driver is completely broken and cannot scan for devices. 
Comment 7 Andrius Benokraitis 2008-02-04 16:11:04 EST
Adding Dave Mair in GSS, since Support has highest priority to propose items for
async kernel erratum - Dave has this issue been seen with customers? Are there
any ITs referencing this?
Comment 8 David Mair 2008-02-05 10:57:12 EST
Not to my knowledge; however, I'll verify.
Comment 9 Don Domingo 2008-03-18 19:48:11 EDT
added to RHEL4.7 release notes under "Driver Updates => Storage":

<quote>
qla4xxx driver updated to version 5.01.03-d0. This applies the following fixes:

* A bug that prevented the operating system from scanning some targets that
transition from "non-active" to "active" state (during driver initialization) is
now fixed.
</quote>

please advise if any further revisions are required. thanks!

Comment 11 Vivek Goyal 2008-04-07 17:45:34 EDT
Committed in 68.31.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 13 Don Domingo 2008-06-02 19:14:49 EDT
Hi,

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:
http://intranet.corp.redhat.com/ic/intranet/RHEL4u7relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 14 Chris Ward 2008-06-05 11:53:57 EDT
~~~~~~~~~~~~~~
~ Attention: ~ Feedback requested regarding this **High Priority** bug. 
~~~~~~~~~~~~~~

A fix for this issue should be included in the latest packages contained in
RHEL4.7-Snapshot1--available now on partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the passing results of your test in appropriate
detail, along with which snapshot and package version tested. The bugzilla will
be updated by Red Hat Quality Engineering for you when this information has been
received.

If you believe this issue has not properly fixed or you are unable to verify the
issue for any reason, please add a comment describing the most recent issues you
are experiencing, along with which snapshot and package version tested. 

If you believe the bug has not been fixed, change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and bugzilla will be updated for you. 

If you need assistance accessing ftp://partners.redhat.com, please contact your
Partner Manager.

Thank you
Red Hat QE Partner Management
Comment 15 Chris Ward 2008-06-16 04:42:17 EDT
~~~~~~~~~~~~~~
~ Attention: ~ Immediate attention required for this ***High Priority*** bug.
~~~~~~~~~~~~~~

A fix for this issue should be included in the latest packages contained in
**RHEL4.7-Snapshot2**, accessible now on http://partners.redhat.com.

After you (Red Hat Partner) have verified that this issue has been addressed,
submit a comment describing the results of your test in appropriate detail,    
 along with which snapshot and package version tested. The bugzilla will be
updated by Red Hat Quality Engineering for you when this information has been  
    received.

If this issue has not been properly fixed or you are unable to verify the issue
for any reason, please add a comment describing the most recent issues you are
experiencing, along with which snapshot and package version tested. If you are
sure the bug has not been fixed, change the status of the bug to ASSIGNED.

For IssueTracker users, submit verification results as usual; Bugzilla will be
updated by Red Hat Quality Engineering for you.

For additional information, contact your Partner Manager.

Thank you,
Red Hat QE Partner Management
Comment 16 Marcus Barrow 2008-06-16 16:40:26 EDT
Verified this fix is present in kernel-2.6.9-73.EL

Comment 18 errata-xmlrpc 2008-07-24 15:23:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html
Comment 19 Chris Ward 2008-07-29 03:29:25 EDT
Partners, I would like to thank you all for your participation in assuring the
quality of this RHEL 4.7 Update Release. My hat's off to you all. Thanks.

Note You need to log in before you can comment on or make changes to this bug.